
  /////////////////////////////
  // 
  //  This code was written as an example code, modify it your needs !
  //  This code is explained in the tutorials over at [http://www.kirupa.com] look for the 'scripting' tutorials
  //  Written by mlk over at www.kirupaforum.com, post over there for help !
  //
  //  [mlkdesign@online.fr]
  //  july 2004
  //



displayDialogs = DialogModes.NO;

var defaultRulerUnits = app.preferences.rulerUnits;
app.preferences.rulerUnits = Units.PIXELS;


//function below credited to 'bradles' over at the Adobe User to User forums.

function explodeArray(item,delimiter) {

	tempArray=new Array(1);
	var Count=0;
	var tempString=new String(item);
	while (tempString.indexOf(delimiter)>0) {
		tempArray[Count]=tempString.substr(0,tempString.indexOf(delimiter));
		tempString=tempString.substr(tempString.indexOf(delimiter)+1,tempString.length-tempString.indexOf(delimiter)+1);
		Count=Count+1
	}
	tempArray[Count]=tempString;
	return tempArray;
}

var AD = app.activeDocument;

var resRatio = AD.resolution/72;

if(resRatio!=1){
	AD.resizeImage(AD.width.value,AD.height.value,72);

}

var heightVar = AD.height+2;
var black = new SolidColor();
black.rgb.red = black.rgb.green = black.rgb.blue = 0;

var white = new SolidColor();
white.rgb.red = white.rgb.green = white.rgb.blue = 255;
	
backgroundColor = black;

AD.resizeCanvas(AD.width+4,AD.height.value+4,AnchorPosition.MIDDLECENTER);
AD.resizeCanvas(AD.width,AD.height.value+60,AnchorPosition.TOPCENTER);

var exifData = AD.info.exif.toString();
explodeArray(exifData,","); //Use this function to put string into array.


for(n = 0; n < tempArray.length; n = n + 2 ) {

	var stringTemp=tempArray[n]
	if(stringTemp.indexOf("Exposure Time")!=-1){
		var expTime = tempArray[n+1];
	}

	if(stringTemp.indexOf("Date Time Original")!=-1){
		var phoTime = tempArray[n+1];
		var dateArray1 = phoTime.split(" ", 1);
		phoTime = dateArray1[0];
		var dateArray2 = phoTime.split(":");

		var monthsArray =["January","February","March","April","May","June","July","August","September","October","November","December"];
		phoTime = monthsArray[dateArray2[1]-1]+" "+dateArray2[2]+" "+dateArray2[0];
	}

	if(stringTemp.indexOf("Model")!=-1){
		var cameraModel = tempArray[n+1];
	}
}

var nameLayer = AD.artLayers.add();
nameLayer.kind = LayerKind.TEXT;
var TI = nameLayer.textItem;
TI.position = [5,heightVar+16];
TI.contents = " Your NAME 2004";
TI.font = "Arial";
TI.size = 16;
TI.color = white;
TI.fauxBold = true;

var infoLayer = AD.artLayers.add();
infoLayer.kind = LayerKind.TEXT;
var TI = infoLayer.textItem;
TI.position = [5,heightVar+30];
TI.contents = "Taken with: "+cameraModel+", exposure time: "+expTime+"\u000DDate photo taken: "+phoTime;
TI.font = "Arial";
TI.size = 13;
TI.color = white;

AD.flatten();

app.preferences.rulerUnits = defaultRulerUnits;